import { Modal, Dialog, Banner } from '@genesislcap/alpha-design-system';
import { ActionMenuItem, DropdownMenuItem } from '@genesislcap/foundation-ui';
import { FASTElement } from '@microsoft/fast-element';
export declare class PreviewComponents extends FASTElement {
    modal: Modal;
    dialog: Dialog;
    banner: Banner;
    errorDialogContainer: HTMLDivElement;
    prefix: string;
    buttonAppearanceAccent: string;
    buttonAppearanceNeutral: string;
    buttonAppearanceOutline: string;
    buttonAppearanceText: string;
    badgeAppearanceAccent: string;
    badgeAppearanceNeutral: string;
    badgeText: string;
    cards: number[];
    countries: string[];
    menuActions: ActionMenuItem[];
    menuDefinition: {
        actions: ActionMenuItem[];
        buttonAppearance: string;
        data: {
            name: string;
        };
    };
    dropDownMenuItems: DropdownMenuItem[];
    provider: HTMLElement;
    connectedCallback(): void;
    private handleStyleChanges;
    private handleDSChanges;
    showDialog(param: any): void;
    closeDialog(param: any): void;
    dismissBanner(): void;
}
//# sourceMappingURL=preview-components.d.ts.map